<?php

namespace App\Commands\Transmittal;

use App\Commands\Command;
use App\Models\Remark;
use Illuminate\Support\Facades\DB;

class StoreRemarkCommand implements Command
{

    public function execute(array $data): mixed
    {
        return DB::transaction(
            callback: fn () => Remark::query()->create($data),
            attempts: 2
        );
    }
}
